using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using static prj_wfrm_centreCall_tickets.tab;

namespace prj_wfrm_centreCall_tickets
{
    public partial class Frm_ticket_cloture : Form
    {
        public Frm_ticket_cloture()
        {
            InitializeComponent();
        }

        private void Frm_ticket_cloture_Load(object sender, EventArgs e)
        {
            if (tab.nbTickets == 0)
            {
                MessageBox.Show("Aucun", "Information", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            else
            {
                //parcours du tableau des codes naf
                for (int i = 0; i < tab.nbTickets; i++)
                {
                    //configuration d'une ligne de la liste
                    ListViewItem ligne = new ListViewItem();

                    //1ère colonne = n° du ticket
                    ligne.Text = tab.ticket[i].numero.ToString();

                    //2ème colonne = date d'ouverture du ticket 
                    ligne.SubItems.Add(tab.ticket[i].dateTicket.ToString());

                    //3ème colonne = le nom du client 
                    ligne.SubItems.Add(tab.client[i].raisonSociale.ToString());

                    //4ème colonne = objet du ticket
                    ligne.SubItems.Add(tab.ticket[i].objetTicket.ToString());

                    //5ème colonne = date de cloture du ticket 
                    ligne.SubItems.Add(tab.ticket[i].dateCloture.ToString());

                    //6ème colonne = nombre d'heur travailler  
                    ligne.SubItems.Add(tab.ticket[i].nbHeures.ToString());

                    //7ème colonne = le nom du technicien qui a travailler sur le ticket 
                    ligne.SubItems.Add(tab.technicien[i].nomTech.ToString());

                    //8ème colonne = le prenom du technicien qui a travailler sur le ticket 
                    ligne.SubItems.Add(tab.technicien[i].prenomTech.ToString());



                    //ajout de la ligne dans la liste
                    lv_ticket.Items.Add(ligne);
                }
            }
        }
    }
}
